VX222e – Support

VX222e is a linear PCM sound card designed to be used through the following standard driver interfaces: WDM kernel streaming, DirectSound, WASAPI, ASIO, and Alsa for Linux.

It can also be used with software applications based on  Digigram proprietary  Application Programming Interfaces (APIs) under Windows operating systems, so as to benefit from the available on-board features: PCM audio mixing, cross-fades, timed-based and event-based functions. VX222e card does feature on-board support of MPEG audio and time-scaling.

The “HR Runtime” package allows installing the following components:

  • WDM DirectSound driver
  • ASIO driver with its ASIO control panel (CPL)
  • Legacy Wave MME driver
  • Digigram Hardware Settings (DHS) application, which allows setting the card’s parameters (clock, synchro, input type selection, gains, vu-meters, monitoring, input SRC, EQ)

Supported operating systems

  • Windows 10, Windows Server 2016
    No support is provided for systems running under Windows OS versions which mainstream support from Microsoft has ended.
  • Linux
    For cards produced before 2017, the Alsa driver is included in the Linux kernel.
    For cards produced as of 2017, a driver package is available on request, or on this GitHub link.

Important installation notes
Installation under Windows 10 and Windows Server
In case a previous HR Runtime version is already installed, it is necessary to uninstall it prior to installing the most recent one.

> Hardware change (March 2017)
Due to the obsolescence of some components used on all the Digigram stereo PCI Express sound cards, we have made some hardware modifications on these cards. These modifications guarantee the same features, the same specifications, and the same performances. In this regard, the name and the product reference remain unchanged. The ID  for the technical status of the card is increased. It is visible on the sticker on the back of the card (IS=).

Card model Technical status index (IS) before the modification Technical status index (IS) after the modification
VX222e IS=5 IS=6

It is necessary to install HR Runtime version 1.76d001 to be able to support these modifications under Windows. Note that this new HR Runtime also supports the previous non-updated cards.*
For cards produced as of 2017, a Linux driver package is available on request. Please click on the link “contact the support team” on top of this WEB page.


> Installation error message under Windows 7 and Windows 8 (no longer supported)
Under Windows 7 and Windows 8, the following error message may be displayed during the installation of the HR Runtime package:
“Windows cannot verify the digital signature of the driver required for this device….. (Code 52)”.
This error is due to a bug of Windows 7 and Windows 8 in the support of driver signatures. This error is fixed in recent Windows updates.
To fix it, it is necessary to:
1) apply the recent Windows updates. This fixes the “Code 52” error.
2) apply the following Microsoft Hotfix. This removes the remaining “Untrusted publisher” dialog box appearing when installing the driver. 
Once this is done, HR Runtime can be installed correctly.

PC not compatible
List of PC not compatible with VX222e.
Under Windows 10:

  • HP TE01-1134

> Hardware change (May 2021)
Due to the obsolescence of some components used on all the Digigram stereo PCI Express sound cards, we have made some hardware modifications on these cards. These modifications guarantee the same features, the same specifications, and the same performances. In this regard, the name and the product reference remain unchanged. The ID  for the technical status of the card is increased. It is visible on the sticker on the back of the card (IS=).

Card model Technical status index (IS) before the modification Technical status index (IS) after the modification
VX222e IS≤6 IS=7

For more information about this new hardware modification, please click here.
It is necessary to install HR Runtime version 1.80c001 to be able to support these modifications under Windows. Note that this new HR Runtime is backward compatible with the previous card’s revision.

 

Q&A

VX/PCX

How can I adjust my VX/PCX audio levels

When the driver is installed, the DHS software (Digigram Hardware Settings" is installed. Just run that software to have access to the IN/OUT level adjustments.

How to select the AES input ?

In the DHS you have to set the clock to AES/EBU Sync to be able to select the AES input.

I am facing a BSOD when using my VX sound card

We face issue on HP computer with the DMA management. To avoid BSOD, you have to disable the DMA protection in the BIOS

My recent HP computer do not boot with a VX, PCX or LX-MADI sound card

We identified that some recent Hewlett-Packard computers (HP Z1 G6, HP ProDesk 400 G7, HP Elitedesk 800 G6, HP ProDesk 600 G6 Microtower PC, HP Z2 G8 Tower Workstation, HP ProLiant DL360, HP Proliant DL380) don't boot with VX, PCX and LX-MADI PCIe sound cards. This is due to problem on recent HP motherboard not compatible with the PCIe bridge used on the cards. This has been fixed by HP with a BIOS update available on support.hp.com./

If you encounter similar problems with other HP references, kindly have a check in the support.hp.com  website for individual BIOS updates since there is no constant firmware available for all of these models.

Sound cards

Which Linux Distribution are supported for sound cards ?

LoLa soundcards and multichannels VX/PCX series are supported on every Linux distribution, as the ALSA driver is part of the kernel.

The stereo VX and PCX stereo cards have precompiled version for Debian, Ubunutu, CentOs, Fedora and OpenSuse based distributions. For the LX series the following distributions are supported : Ubuntu LTS / Debian LTS / CentOS 7.

For other Linux distributions, we propose a service for providing an adequate compiled and installable driver package. UAx and Cancun series will work on every linux distribution.

My sound card is not detected by Windows

Make sure that you downloaded the lasted driver on our website. Indeed, from time to time we have to make component update which require a new driver.